<?php
/**
 * Template part for displaying ”Show Comments” button.
 *
 * @package     Business Interface
 * @author      WPInterface Team
 * @since       1.0.0
 */

// Do not show if the post is password protected.
if ( post_password_required() ) {
	return;
}

$business_interface_comment_count = get_comments_number();
$business_interface_comment_title = esc_html__( 'Leave a Comment', 'business-interface' );

if ( $business_interface_comment_count > 0 ) {
	/* translators: %s is comment count */
	$business_interface_comment_title = esc_html( sprintf( _n( 'Show %s Comment', 'Show %s Comments', $business_interface_comment_count, 'business-interface' ), $business_interface_comment_count ) );
}

?>
<a href="#" id="business-interface-comments-toggle" class="interface-button button-large btn-fw btn-left-icon">
	<?php echo business_interface()->icons->get_svg( 'chat' ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
	<span><?php echo $business_interface_comment_title; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></span>
</a>
